List project opportunities
POST
/list-project-opportunities
const url = 'https://registry.rex.dynata.com/list-project-opportunities';const options = { method: 'POST', headers: { 'dynata-expiration': '2026-04-15T12:00:00Z', 'dynata-access-key': 'ADSF23ADF354GFDDS23', 'dynata-signature': 'dsklj435kljhfdSAFdsalk34', 'Content-Type': 'application/json' }, body: '{"project_id":79237}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://registry.rex.dynata.com/list-project-opportunities \ --header 'Content-Type: application/json' \ --header 'dynata-access-key: ADSF23ADF354GFDDS23' \ --header 'dynata-expiration: 2026-04-15T12:00:00Z' \ --header 'dynata-signature: dsklj435kljhfdSAFdsalk34' \ --data '{ "project_id": 79237 }'List opportunity IDs for a given project.
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”dynata-expiration
required
string format: date-time
RFC3339 timestamp indicating request expiration
dynata-access-key
required
string
Dynata provided access key
Example
ADSF23ADF354GFDDS23dynata-signature
required
string
Signature created using the Dynata methodology
Example
dsklj435kljhfdSAFdsalk34Request Body
Section titled “Request Body”Media typeapplication/json
object
project_id
required
Project ID
integer format: int64
Example
79237Responses
Section titled “Responses”List of project opportunity IDs
Media typeapplication/json
Array<integer>
Example
[ 28934]Bad request
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Invalid credentials
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}Internal server error
Media typeapplication/json
object
message
required
A human readable description of the error
string
Examplegenerated
{ "message": "example"}